## javax.media.jai.registry
Class RemoteRIFRegistry

    java.lang.Object
      |
      +--javax.media.jai.registry.RemoteRIFRegistry

public final class RemoteRIFRegistry
extends java.lang.Object

Utility class to provide type-safe interaction with the `OperationRegistry` for `RemoteRIF` objects.

If the `OperationRegistry` specified as an argument to the methods in this class is null, then `JAI.getOperationRegistry()` will be used.

Since:
  1.1

Constructor Summary
`RemoteRIFRegistry()`

Method Summary

`static RemoteRenderedImage`

`create(OperationRegistry registry, java.lang.String protocolName, java.lang.String serverName, java.lang.String operationName, java.awt.image.renderable.ParameterBlock paramBlock, java.awt.RenderingHints renderHints)`
Constructs a `RemoteRenderedImage` representing the results of remotely applying the given operation to the source(s), and parameters specified in the specified `ParameterBlock`, using the specified rendering hints.

`static RemoteRIF` `get(OperationRegistry registry, java.lang.String protocolName)` Returns the `RemoteRIF` registered under the given protocol name in the specified `OperationRegistry`.
`static void` `register(OperationRegistry registry, java.lang.String protocolName, RemoteRIF rrif)` Registers the given `RemoteRIF` with the given `OperationRegistry` under the given protocolName.
`static void` `unregister(OperationRegistry registry, java.lang.String protocolName, RemoteRIF rrif)` Unregisters the given `RemoteRIF` previously registered under the given protocolName in the given `OperationRegistry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteRIFRegistry

    public RemoteRIFRegistry()

Method Detail

### register

    public static void register(OperationRegistry registry,
                                java.lang.String protocolName,
                                RemoteRIF rrif)

  Registers the given `RemoteRIF` with the given `OperationRegistry` under the given protocolName.
  Parameters:
    `registry` - The `OperationRegistry` to register the `RemoteRIF` with. If this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `protocolName` - The protocolName to register the `RemoteRIF` under.
    `rrif` - The `RemoteRIF` to register.
  Throws:
    `java.lang.IllegalArgumentException` - if protocolName is null.
    `java.lang.IllegalArgumentException` - if rrif is null.
    `java.lang.IllegalArgumentException` - if there is no `RemoteDescriptor` registered against the given protocolName.

### unregister

    public static void unregister(OperationRegistry registry,
                                  java.lang.String protocolName,
                                  RemoteRIF rrif)

  Unregisters the given `RemoteRIF` previously registered under the given protocolName in the given `OperationRegistry`.
  Parameters:
    `registry` - The `OperationRegistry` to unregister the `RemoteRIF` from. If this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `protocolName` - The protocolName to unregister the `RemoteRIF` from under.
    `rrif` - The `RemoteRIF` to unregister.
  Throws:
    `java.lang.IllegalArgumentException` - if protocolName is null.
    `java.lang.IllegalArgumentException` - if rrif is null.
    `java.lang.IllegalArgumentException` - if there is no `RemoteDescriptor` registered against the given protocolName.
    `java.lang.IllegalArgumentException` - if the rrif was not previously registered against protocolName.

### get

    public static RemoteRIF get(OperationRegistry registry,
                                java.lang.String protocolName)

  Returns the `RemoteRIF` registered under the given protocol name in the specified `OperationRegistry`.
  Parameters:
    `registry` - The `OperationRegistry` to use. If this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `protocolName` - The name of the remote imaging protocol.
  Throws:
    `java.lang.IllegalArgumentException` - if protocolName is null.
    `java.lang.IllegalArgumentException` - if there is no `RemoteDescriptor` registered against the given `protocolName`.

### create

    public static RemoteRenderedImage create(OperationRegistry registry,
                                             java.lang.String protocolName,
                                             java.lang.String serverName,
                                             java.lang.String operationName,
                                             java.awt.image.renderable.ParameterBlock paramBlock,
                                             java.awt.RenderingHints renderHints)

  Constructs a `RemoteRenderedImage` representing the results of remotely applying the given operation to the source(s), and parameters specified in the specified `ParameterBlock`, using the specified rendering hints. The registry is used to determine the `RemoteRIF` to be used to instantiate the operation.
  Parameters:
    `registry` - The `OperationRegistry` to use to create the rendering. If this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `protocolName` - The protocol to be used for remote imaging.
    `serverName` - The name of the server.
    `operationName` - The name of the operation to be performed remotely.
    `paramBlock` - The `ParameterBlock` specifying the sources and parameters required for the operation.
    `renderHints` - A `RenderingHints` object containing rendering hints.
  Throws:
    `java.lang.IllegalArgumentException` - if protocolName is null.
    `java.lang.IllegalArgumentException` - if serverName is null.
    `java.lang.IllegalArgumentException` - if operationName is null.
    `java.lang.IllegalArgumentException` - if there is no `RemoteDescriptor` registered against the given protocolName.